package ink.wgink.mongo.login.service.impl;

import ink.wgink.common.base.DefaultBaseService;
import ink.wgink.interfaces.login.mongo.IMongoLoginService;
import ink.wgink.pojo.pos.user.mongo.MongoUserPO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Service;

/**
 * @ClassName: MongoLoginServiceImpl
 * @Description: mongo登录
 * @Author: wanggeng
 * @Date: 2022/5/19 11:31
 * @Version: 1.0
 */
@Service
public class MongoLoginServiceImpl extends DefaultBaseService implements IMongoLoginService {

    @Autowired
    private MongoTemplate mongoTemplate;

    @Override
    public MongoUserPO getPO(String userId) {
        return mongoTemplate.findOne(new Query().addCriteria(Criteria.where("userId").is(userId)), MongoUserPO.class);
    }

    @Override
    public MongoUserPO getPOByUsername(String username) {
        return mongoTemplate.findOne(new Query().addCriteria(Criteria.where("userUsername").is(username)), MongoUserPO.class);
    }

}
